Get one version of a row
GET
/collection/{id}/rows/{rowId}/history/{version}
The values at that version, the diff against the one before it, and any fields since dropped from the schema.
Path Parameters
idstring
required·
Resource id
rowIdstring
required·
Row id
versionstring
required·
Version number
Response Body
actorobject
One of
object · 2 properties
kind
user_idstring
object · 5 properties
automation_idstring
kind
on_behalf_of_user_idstring
run_idstring
session_idstring,null
object · 1 property
kind
bytesinteger
changed_countinteger
changed_fieldsobject[]
At most 20 names; changed_count is the true count.
keystring,null
namestring
created_atstring
diffobject[]
after
before
before_hiddenboolean
keystring,null
namestring
fieldsobject
Keyed by the current field key.
opstring
Possible values:
baselineinsertupdatedeleterestore
removed_fieldsobject[]
field_idstring
namestring
value
versioninteger
curl -X GET 'https://api.elaichi.ai/collection/<id>/rows/<rowId>/history/<version>' \
-H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
-H 'Content-Type: application/json'const response = await fetch('https://api.elaichi.ai/collection/<id>/rows/<rowId>/history/<version>', {
method: 'GET',
headers: {
'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import os
import requests
url = "https://api.elaichi.ai/collection/<id>/rows/<rowId>/history/<version>"
headers = {
"Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
"Content-Type": "application/json",
}
response = requests.get(url, headers=headers)
print(response.json())